# jogobot
This python module contains code shared between several [Pywikibot](https://www.mediawiki.org/wiki/Manual:Pywikibot)
based projects of [User:JogoBot](https://de.wikipedia.org/wiki/Benutzer:JogoBot) on the
[German Wikipedia](https://de.wikipedia.org/wiki/Wikipedia:Hauptseite).

## Requirements
* Python 3.4+ (at least it is only tested with those)
* pywikibot-core 2.0+ ([Installation HowTo](https://www.mediawiki.org/wiki/Manual:Pywikibot/Installation))

## Installation
```shell
pip install git+https://git.golderweb.de/wiki/jogobot.git@v0.2.1#egg=jogobot
```

## Bugs
[jogobot Issues](https://git.golderweb.de/wiki/jogobot/issues)

## Versions

* 0.1
  - first stable release

* 0.2
  - package installable via setuptools/pip

* 0.2.1
  - Fix compatibility issue with recent pywikibot

## License
GPLv3+

## Author Information
Copyright 2022 Jonathan Golder <jonathan@golderweb.de>
